<?php
class paymentVtbpayApi
{
    private $curl;

    public function __construct() {

    }

    private function curlInit()
    {
        $this->curl = curl_init();

        return $this;
    }

    private function getCurl()
    {
        return $this->curl;
    }

    public function sendRequest(
        $url,
        $data = [],
        $headers = [],
        $method = 'POST',
        $json_encode = false
    ) {
        $curl = $this->curlInit()->getCurl();

        //array_unshift($headers, 'Content-Type: application/x-www-form-urlencoded');
        $contentType = '';
        foreach ($headers as $header) {
            if (strpos($header, 'Content-Type') !== false) {
                $contentType = $header;
                break;
            }
        }
        
        if($method === 'POST' || $method === 'PUT' ) {
          if($method === 'POST') {
              curl_setopt($curl, CURLOPT_POST, 1);
          } else {
              curl_setopt($curl, CURLOPT_CUSTOMREQUEST, 'PUT');
          }
          
          if ($contentType === 'Content-Type: application/json' && $json_encode) {
              curl_setopt($curl, CURLOPT_POSTFIELDS, json_encode($data));
          } else {
              curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
          }
        } else {
            $url = sprintf('%s?%s', $url, is_array($data) ? http_build_query($data): '');
        }

        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
        //curl_setopt($curl, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);

        $result = curl_exec($curl);
        
        if ($result === false) {
            throw new \Exception('Curl error: ' . curl_error($curl));
        }

        if ($result) {
            $result = json_decode($result, true);
        }

        curl_close($curl);

        return $result;
    }
}