<?php

return [
    'client_id' => [
        'value' => '',
        'title' => 'Client ID *',
        'description' => _wp('Merchants client ID is required to call the API.'),
        'control_type' => 'input',
        'required' => true
    ],
    'client_secret' => [
        'value' => '',
        'title' => 'Client Secret *',
        'description' => _wp('Merchants secret key is required to call the API.'),
        'control_type' => 'input',
        'required' => true
    ],
    'merchant_authorization' => [
        'value' => '',
        'title' => 'Merchant-Authorization',
        'description' => _wp('Request header used by the merchant resource for additional authentication when accessing the payment gateway.'),
        'control_type' => 'input',
    ],
    'test_mode' => [
        'value' => '0',
        'title' => _wp('Enable test mode'),
        'description' => _wp('In this mode, the payment for the goods is not charged.'),
        'control_type' => 'checkbox',
    ],
    'logging' => [
        'value' => '0',
        'title' => _wp('Enable logging'),
        'description' => _wp('Logging is used to debug plugin performance by storing API request data.'),
        'control_type' => 'checkbox',
    ]
];